#pragma once

#include "../interface.h"

class CMinimapFrame;
extern CMinimapFrame*			g_pMinimapFrame;

#include <string>

class CMinimapFrame : public CInterfaceBase
{
public:
	CMinimapFrame(CInterface* object);
	virtual ~CMinimapFrame();

	static	void				RenderMinimap(CUiFrame* frame);
	static	void				UpdateMiniMap();

	virtual	void				RegisterFunc();
	virtual	void				BuildFrames();
	
	//-------------------------------------------------------------------

	string						m_sMapMaskFile;

};